.quote {
  font-size: 2.5rem;
  color: var(--background-color);
  font-family: var(--alternate-fonts-type);
}

#pijler1 {
  background-image: url("../img/klei&keramiek.webp"),
    linear-gradient(rgba(109, 17, 5, 0), rgba(109, 17, 5, 0));
  background-blend-mode: overlay;
}
#pijler2 {
  background-image: url("../img/voor_iedereen_j&W.JPG"),
    linear-gradient(rgba(109, 17, 5, 0), rgba(109, 17, 5, 0));
  background-blend-mode: overlay;
}
#pijler3 {
  background-image: url("../img/3plezier&gezelligheid.JPG"),
    linear-gradient(rgba(109, 17, 5, 0), rgba(109, 17, 5, 0));
  background-blend-mode: overlay;
}
#pijler4 {
  background-image: url("../img/4empowerment.jpg"),
    linear-gradient(rgba(109, 17, 5, 0), rgba(109, 17, 5, 0));
  background-blend-mode: overlay;
}

.pijler:hover .pijler-uitleg {
  display: block;
}

.pijler {
  min-width: 100%;
  min-height: 300px; /* hoogte van de div */
  background-image: url("achtergrondafbeelding.jpg");
  background-size: cover; /* past de afbeelding in de div zonder bijsnijden */
  background-position: center;
  transition: border-image 0.3s, transform 0.3s;
  border: 0px;
  margin: auto;
}

.pijler:hover {
  border-image: fill 1
    linear-gradient(rgba(109, 17, 5, 0.5), rgba(109, 17, 5, 0.5));
  transform: scale(1.05);
}

.pijler-uitleg {
  display: none;
}

.titel-vakje {
  color: var(--background-color);
  font-family: var(--alternate-fonts-type);
  font-size: 1.5625rem;
  margin: 10px 0;
  transition: color 0.2s, transform 0.3s;
}

.pijler:hover .titel-vakje {
  color: var(--background-color);
}

.uitleg-vakje {
  margin: 0;
  font-size: 1rem;
  font-family: var(--fonts-type);
  opacity: 0;
  transition: opacity 0.3s, max-height 0.3s;
  max-height: 0;
  color: var(--background-color);
}
@media (hover: none) {
  .uitleg-vakje {
    display: block;
    opacity: 1;
    max-height: 200px;
    color: var(--background-color);
  }
  .pijler {
    border-image: fill 1 linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3));
  }
  .pijler .text-container,
  .categorie .text-container {
    transform: translate(
      -50%,
      -60%
    ); /* Adjust as needed to move the title up */
  }
}

.pijler:hover .uitleg-vakje,
.categorie:hover .uitleg-vakje {
  display: block;
  color: var(--background-color);
  font-size: 1rem;
  opacity: 1;
  max-height: 200px; /* Set an appropriate max-height */
}

.pijler .text-container,
.categorie .text-container {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: transform 0.3s;
  width: 80%;
}

.pijler:hover .text-container,
.categorie:hover .text-container {
  transform: translate(-50%, -60%); /* Adjust as needed to move the title up */
}

@media screen and (max-width: 600px) {
  .quote {
    font-size: 1.75rem;
  }
  .centered-tekst {
    width: 80%;
  }
  .pijler {
    min-width: 80%;
  }
  .titel-vakje {
    font-size: 1.5rem;
  }
}
@media (max-width: 400px) {
  .titel-vakje {
    font-size: 1.2rem;
  }
}

@media screen and (max-width: 1000px) {
  .categorie {
    min-width: 80%;
    max-width: 80%;
    margin: auto;
    margin-bottom: 1rem;
  }
}
